(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12549,        367]
NotebookOptionsPosition[     12066,        348]
NotebookOutlinePosition[     12447,        364]
CellTagsIndexPosition[     12404,        361]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   StyleBox[
    RowBox[{"FindMinimum", "::", "sszero"}], "MessageName"], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   StyleBox[
    RowBox[{"NIntegrate", "::", "ncvb"}], "MessageName"], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.595483982078125*^9, 3.595483986296875*^9}, {
  3.703911334140625*^9, 3.703911340765625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"R", "=", "0.000669"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", "0.000000173"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ampl", "=", "500."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", "314."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   FractionBox[
    RowBox[{"2", "*", "Pi"}], "\[Omega]"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uin", "=", 
   RowBox[{"Ampl", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"\[Omega]", "*", "t"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Gmin", "=", "0.00008"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Lg", "=", "17"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "=", "0.0005"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"pripadne", " ", "0.0005"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"I0", "=", "10"}], 
  RowBox[{"(*", "A", "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]0", "=", "0.0001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", "0.0001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"P0", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", "10"}], ";", 
  RowBox[{"(*", 
   RowBox[{"V", " ", "na", " ", "cm"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g0", "=", "100."}], ";", 
  RowBox[{"(*", 
   RowBox[{"poc", " ", "vodivost"}], "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.595427446625*^9, {3.595428062265625*^9, 3.595428079421875*^9}, {
   3.595430765875*^9, 3.595430800125*^9}, {3.595431206078125*^9, 
   3.5954312225625*^9}, {3.59543169965625*^9, 3.595431735640625*^9}, {
   3.595432685109375*^9, 3.59543268684375*^9}, {3.595433188078125*^9, 
   3.595433190328125*^9}, {3.595433405296875*^9, 3.595433479328125*^9}, 
   3.59543510115625*^9, {3.59543520825*^9, 3.59543531375*^9}, {
   3.595482996421875*^9, 3.59548305921875*^9}, {3.595483943234375*^9, 
   3.59548394809375*^9}, {3.595484547984375*^9, 3.595484574140625*^9}, 
   3.595484632765625*^9, {3.59548489096875*^9, 3.595484907484375*^9}, 
   3.595484940203125*^9, {3.595485063796875*^9, 3.595485114671875*^9}, {
   3.595485694109375*^9, 3.59548573346875*^9}, 3.595747118140625*^9, {
   3.70391160415625*^9, 3.703911721484375*^9}, {3.703911885859375*^9, 
   3.703911886890625*^9}, {3.703913405359375*^9, 3.703913510265625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "derg", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"derg", "[", 
    RowBox[{"i_", ",", "g_", ",", "Lg_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ena", ",", "den", ",", "nom"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ena", "=", 
       SuperscriptBox["E", 
        RowBox[{"(", 
         FractionBox[
          RowBox[{"-", 
           SuperscriptBox["i", "2"]}], 
          SuperscriptBox["I0", "2"]], ")"}]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"den", "=", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "\[Phi]0"}], "-", 
         RowBox[{"\[Phi]1", "*", 
          SuperscriptBox["E", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "\[Alpha]"}], "*", 
             RowBox[{"Abs", "[", "i", "]"}]}], ")"}]]}]}], ")"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"nom", "=", 
       RowBox[{"g", "-", "Gmin", "-", 
        RowBox[{
         FractionBox[
          SuperscriptBox["i", "2"], 
          RowBox[{"g", "*", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"A", "+", 
              RowBox[{"B", "*", "Lg"}]}], ")"}], "2"]}]], "*", 
         RowBox[{"(", 
          RowBox[{"1", "-", "ena"}], ")"}]}], "-", 
        RowBox[{
         FractionBox[
          SuperscriptBox["i", "2"], "P0"], "*", "ena"}]}]}], ";", 
      "\[IndentingNewLine]", 
      FractionBox["nom", "den"]}]}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5954275685*^9, 3.595427800078125*^9}, {
   3.59542796640625*^9, 3.595428017546875*^9}, {3.5954280896875*^9, 
   3.59542835196875*^9}, {3.595428391625*^9, 3.595428471953125*^9}, {
   3.595430824375*^9, 3.595430832125*^9}, 3.5954318651875*^9, {
   3.595435361015625*^9, 3.595435368421875*^9}, 3.59574701896875*^9, 
   3.59574706859375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"g", "[", "t", "]"}], "*", 
       RowBox[{"u", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"i", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"g", "'"}], "[", "t", "]"}], "==", 
      RowBox[{"derg", "[", 
       RowBox[{
        RowBox[{"i", "[", "t", "]"}], ",", 
        RowBox[{"g", "[", "t", "]"}], ",", "Lg"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"g", "[", "0", "]"}], "\[Equal]", "g0"}], ",", 
     RowBox[{
      RowBox[{"uin", "-", 
       RowBox[{"u", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"L", "*", 
        RowBox[{
         RowBox[{"i", "'"}], "[", "t", "]"}]}], "+", 
       RowBox[{"R", "*", 
        RowBox[{"i", "[", "t", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"i", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "0.08"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"rce", ",", 
      RowBox[{
       RowBox[{"a_Symbol", "[", "t", "]"}], "\[RuleDelayed]", "a"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "//", "Union"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"rce", ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", 
       SuperscriptBox["10", "6"]}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"g", "[", "t", "]"}], "/.", "res"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.70391176646875*^9, 3.703911772640625*^9}, {
  3.703911824234375*^9, 3.70391186203125*^9}, {3.70391191496875*^9, 
  3.703912091140625*^9}, {3.703913413921875*^9, 3.7039134189375*^9}, {
  3.70391352175*^9, 3.703913533*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rceDC", "[", 
    RowBox[{"uin_", ",", "kR_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"g", "[", "t", "]"}], "*", 
       RowBox[{"u", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"i", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"g", "'"}], "[", "t", "]"}], "==", 
      RowBox[{"derg", "[", 
       RowBox[{
        RowBox[{"i", "[", "t", "]"}], ",", 
        RowBox[{"g", "[", "t", "]"}], ",", "Lg"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"g", "[", "0", "]"}], "\[Equal]", "g0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"uin", "*", 
        RowBox[{"Tanh", "[", 
         RowBox[{
          SuperscriptBox["10", "5"], "t"}], "]"}]}], "-", 
       RowBox[{"u", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"L", "*", 
        RowBox[{
         RowBox[{"i", "'"}], "[", "t", "]"}]}], "+", 
       RowBox[{"kR", "*", "R", "*", 
        RowBox[{"i", "[", "t", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"i", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"resDC", "[", 
    RowBox[{"uin_", ",", "kR_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"rceDC", "[", 
       RowBox[{"uin", ",", "kR"}], "]"}], ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", 
       SuperscriptBox["10", "6"]}], ",", 
      RowBox[{"StartingStepSize", "\[Rule]", 
       SuperscriptBox["10", 
        RowBox[{"-", "9"}]]}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resDC", "[", 
  RowBox[{"500", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.703915142953125*^9, 3.70391515228125*^9}, {
  3.703915215453125*^9, 3.70391528021875*^9}, {3.703915413203125*^9, 
  3.703915419796875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rceDC", "[", 
    RowBox[{"uin_", ",", "kR_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"g", "[", "t", "]"}], "*", 
       RowBox[{"u", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"i", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"g", "'"}], "[", "t", "]"}], "==", 
      RowBox[{"derg", "[", 
       RowBox[{
        RowBox[{"i", "[", "t", "]"}], ",", 
        RowBox[{"g", "[", "t", "]"}], ",", "Lg"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"g", "[", "0", "]"}], "\[Equal]", "g0"}], ",", 
     RowBox[{
      RowBox[{"uin", "-", 
       RowBox[{"u", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"kR", "*", "R", "*", 
       RowBox[{"i", "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"resDC", "[", 
    RowBox[{"uin_", ",", "kR_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"rceDC", "[", 
       RowBox[{"uin", ",", "kR"}], "]"}], ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", 
       SuperscriptBox["10", "6"]}], ",", 
      RowBox[{"StartingStepSize", "\[Rule]", 
       SuperscriptBox["10", 
        RowBox[{"-", "9"}]]}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pom", "=", 
   RowBox[{"resDC", "[", 
    RowBox[{"300", ",", "10"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"i", "[", "t", "]"}], "/.", "pom"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.703915311453125*^9, 3.703915397234375*^9}, {
   3.703915432375*^9, 3.7039154443125*^9}, 3.70391549275*^9, {
   3.703915614296875*^9, 3.703915654953125*^9}}]
},
WindowSize->{1030, 662},
WindowMargins->{{13, Automatic}, {Automatic, 7}},
Magnification->1.4000000953674316`,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 741, 22, 142, "Input"],
Cell[1301, 44, 2531, 59, 496, "Input"],
Cell[3835, 105, 1998, 54, 359, "Input"],
Cell[5836, 161, 2180, 63, 172, "Input"],
Cell[8019, 226, 1970, 58, 183, "Input"],
Cell[9992, 286, 2070, 60, 251, "Input"]
}
]
*)

(* End of internal cache information *)
